resource "google_project_service" "artifact-registry-service" {
  project = var.project
  service = "artifactregistry.googleapis.com"
}


resource "google_artifact_registry_repository" "docker-repo" {
  location      = var.region
  repository_id = "docker-repository"
  description   = "dezendorf.net homelab docker repository"
  format        = "DOCKER"
  project       = var.project

  docker_config {
    immutable_tags = true
  }
}
